summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2024-07-15 14:18:19 +1000
committerAllan McRae <allan@archlinux.org>2024-07-16 18:51:03 +1000
commitc3aa1bc12367a8c29ddac310d8bb86ae10719bd2 (patch)
tree9c8973dc00e5d9149e33cfe9524d52753c33919e
parent138cbae58448b7fde90335526add3029875784ee (diff)
Fix typo in git source handling
Fixes #171 Signed-off-by: Allan McRae <allan@archlinux.org>
-rw-r--r--scripts/libmakepkg/source/git.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/libmakepkg/source/git.sh.in b/scripts/libmakepkg/source/git.sh.in
index 35e31fc1..d9c2416e 100644
--- a/scripts/libmakepkg/source/git.sh.in
+++ b/scripts/libmakepkg/source/git.sh.in
@@ -49,7 +49,7 @@ download_git() {
if [[ ! -d "$dir" ]] || dir_is_empty "$dir" ; then
msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "git"
- if ! git clone --origin=origin ---mirror "$url" "$dir"; then
+ if ! git clone --origin=origin --mirror "$url" "$dir"; then
error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "git"
plainerr "$(gettext "Aborting...")"
exit 1